# $Header: /cvs/stx/stx/libview/Make.spec,v 1.66 2014-11-18 14:26:41 cg Exp $
#
# DO NOT EDIT
# automagically generated from the projectDefinition: stx_libview.
#
# Warning: once you modify this file, do not rerun
# stmkmp or projectDefinition-build again - otherwise, your changes are lost.
#
# This file contains specifications which are common to all platforms.
#

# Do NOT CHANGE THESE DEFINITIONS
# (otherwise, ST/X will have a hard time to find out the packages location from its packageID,
#  to find the source code of a class and to find the library for a package)
MODULE=stx
MODULE_DIR=libview
PACKAGE=$(MODULE):$(MODULE_DIR)


# Argument(s) to the stc compiler (stc --usage).
#  -headerDir=. : create header files locally
#                (if removed, they will be created as common
#  -Pxxx       : defines the package
#  -Zxxx       : a prefix for variables within the classLib
#  -Dxxx       : defines passed to to CC for inline C-code
#  -Ixxx       : include path passed to CC for inline C-code
#  +optspace   : optimized for space
#  +optspace2  : optimized more for space
#  +optspace3  : optimized even more for space
#  +optinline  : generate inline code for some ST constructs
#  +inlineNew  : additionally inline new
#  +inlineMath : additionally inline some floatPnt math stuff
#
# ********** OPTIONAL: MODIFY the next line(s) ***
# STCLOCALOPTIMIZATIONS=+optinline +inlineNew
# STCLOCALOPTIMIZATIONS=+optspace3
STCLOCALOPTIMIZATIONS=+optinline +optinline2


# Argument(s) to the stc compiler (stc --usage).
#  -warn            : no warnings
#  -warnNonStandard : no warnings about ST/X extensions
#  -warnEOLComments : no warnings about EOL comment extension
#  -warnPrivacy     : no warnings about privateClass extension
#  -warnUnused      : no warnings about unused variables
#
# ********** OPTIONAL: MODIFY the next line(s) ***
# STCWARNINGS=-warn
# STCWARNINGS=-warnNonStandard
# STCWARNINGS=-warnEOLComments
STCWARNINGS=-warnNonStandard -warnUnused

COMMON_CLASSES= \
	AbstractBackground \
	AbstractBorder \
	Color \
	Colormap \
	Controller \
	Cursor \
	DeviceHandle \
	Event \
	FontDescription \
	GraphicsContext \
	GraphicsDevice \
	Image \
	ImageReader \
	KeyboardForwarder \
	KeyboardMap \
	ResourcePack \
	WindowGroup \
	WindowSensor \
	WindowingTransformation \
	stx_libview \
	BeveledBorder \
	BitmapFont \
	Border \
	ColorPalette \
	CompoundFont \
	Depth16Image \
	Depth1Image \
	Depth24Image \
	Depth2Image \
	Depth32Image \
	Depth48Image \
	Depth4Image \
	Depth64Image \
	Depth8Image \
	DeviceGraphicsContext \
	Font \
	GradientBackground \
	HostGraphicsDevice \
	ImageBackground \
	NoBackground \
	SimpleBorder \
	SolidBackground \
	SynchronousWindowSensor \
	ViewStyle \
	WindowEvent \
	DeviceWorkstation \
	GraphicsMedium \
	ImageMask \
	MappedPalette \
	WidgetEvent \
	DisplaySurface \
	Form \
	MonoMappedPalette \
	DisplayRootView \
	SimpleView \
	ShadowView \
	View \
	XWorkstation \
	TopView \
	PopUpView \
	StandardSystemView \
	ModalBox \

WIN32_CLASSES= \
	WinWorkstation \

UNIX_CLASSES= \
	XftFontDescription \
	XEmbedContainerView \
	GLXWorkstation \




COMMON_OBJS= \
    $(OUTDIR_SLASH)AbstractBackground.$(O) \
    $(OUTDIR_SLASH)AbstractBorder.$(O) \
    $(OUTDIR_SLASH)Color.$(O) \
    $(OUTDIR_SLASH)Colormap.$(O) \
    $(OUTDIR_SLASH)Controller.$(O) \
    $(OUTDIR_SLASH)Cursor.$(O) \
    $(OUTDIR_SLASH)DeviceHandle.$(O) \
    $(OUTDIR_SLASH)Event.$(O) \
    $(OUTDIR_SLASH)FontDescription.$(O) \
    $(OUTDIR_SLASH)GraphicsContext.$(O) \
    $(OUTDIR_SLASH)GraphicsDevice.$(O) \
    $(OUTDIR_SLASH)Image.$(O) \
    $(OUTDIR_SLASH)ImageReader.$(O) \
    $(OUTDIR_SLASH)KeyboardForwarder.$(O) \
    $(OUTDIR_SLASH)KeyboardMap.$(O) \
    $(OUTDIR_SLASH)ResourcePack.$(O) \
    $(OUTDIR_SLASH)WindowGroup.$(O) \
    $(OUTDIR_SLASH)WindowSensor.$(O) \
    $(OUTDIR_SLASH)WindowingTransformation.$(O) \
    $(OUTDIR_SLASH)stx_libview.$(O) \
    $(OUTDIR_SLASH)BeveledBorder.$(O) \
    $(OUTDIR_SLASH)BitmapFont.$(O) \
    $(OUTDIR_SLASH)Border.$(O) \
    $(OUTDIR_SLASH)ColorPalette.$(O) \
    $(OUTDIR_SLASH)CompoundFont.$(O) \
    $(OUTDIR_SLASH)Depth16Image.$(O) \
    $(OUTDIR_SLASH)Depth1Image.$(O) \
    $(OUTDIR_SLASH)Depth24Image.$(O) \
    $(OUTDIR_SLASH)Depth2Image.$(O) \
    $(OUTDIR_SLASH)Depth32Image.$(O) \
    $(OUTDIR_SLASH)Depth48Image.$(O) \
    $(OUTDIR_SLASH)Depth4Image.$(O) \
    $(OUTDIR_SLASH)Depth64Image.$(O) \
    $(OUTDIR_SLASH)Depth8Image.$(O) \
    $(OUTDIR_SLASH)DeviceGraphicsContext.$(O) \
    $(OUTDIR_SLASH)Font.$(O) \
    $(OUTDIR_SLASH)GradientBackground.$(O) \
    $(OUTDIR_SLASH)HostGraphicsDevice.$(O) \
    $(OUTDIR_SLASH)ImageBackground.$(O) \
    $(OUTDIR_SLASH)NoBackground.$(O) \
    $(OUTDIR_SLASH)SimpleBorder.$(O) \
    $(OUTDIR_SLASH)SolidBackground.$(O) \
    $(OUTDIR_SLASH)SynchronousWindowSensor.$(O) \
    $(OUTDIR_SLASH)ViewStyle.$(O) \
    $(OUTDIR_SLASH)WindowEvent.$(O) \
    $(OUTDIR_SLASH)DeviceWorkstation.$(O) \
    $(OUTDIR_SLASH)GraphicsMedium.$(O) \
    $(OUTDIR_SLASH)ImageMask.$(O) \
    $(OUTDIR_SLASH)MappedPalette.$(O) \
    $(OUTDIR_SLASH)WidgetEvent.$(O) \
    $(OUTDIR_SLASH)DisplaySurface.$(O) \
    $(OUTDIR_SLASH)Form.$(O) \
    $(OUTDIR_SLASH)MonoMappedPalette.$(O) \
    $(OUTDIR_SLASH)DisplayRootView.$(O) \
    $(OUTDIR_SLASH)SimpleView.$(O) \
    $(OUTDIR_SLASH)ShadowView.$(O) \
    $(OUTDIR_SLASH)View.$(O) \
    $(OUTDIR_SLASH)XWorkstation.$(O) \
    $(OUTDIR_SLASH)TopView.$(O) \
    $(OUTDIR_SLASH)PopUpView.$(O) \
    $(OUTDIR_SLASH)StandardSystemView.$(O) \
    $(OUTDIR_SLASH)ModalBox.$(O) \

WIN32_OBJS= \
    $(OUTDIR_SLASH)WinWorkstation.$(O) \

UNIX_OBJS= \
    $(OUTDIR_SLASH)XftFontDescription.$(O) \
    $(OUTDIR_SLASH)XEmbedContainerView.$(O) \
    $(OUTDIR_SLASH)GLXWorkstation.$(O) \



